Loading...
Searching...
No Matches
jni::ArrayElementsDeleter< E > Class Template Reference

`#include <ownership.hpp>`

## Public Member Functions

| ArrayElementsDeleter ()=default
| ArrayElementsDeleter (JNIEnv &e, jarray< E > &a)
void | operator() (E *p) const

## Constructor & Destructor Documentation

## ArrayElementsDeleter() [1/2]

template<class E>

jni::ArrayElementsDeleter< E >::ArrayElementsDeleter | ( |  | ) |

default

## ArrayElementsDeleter() [2/2]

template<class E>

jni::ArrayElementsDeleter< E >::ArrayElementsDeleter | ( | JNIEnv & | e,
|  | jarray< E > & | a )

inline

## Member Function Documentation

## operator()()

template<class E>

void jni::ArrayElementsDeleter< E >::operator() | ( | E * | p | ) | const

inline

The documentation for this class was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/ownership.hpp